ChainAnalyticsService
Get Zipped Asset Supply Group
Get grouped zipped asset supply chart columns.
Request
curl --request GET \ \ --url 'https://api.testnet.polyester.com/v1/chain/analytics/zipped-asset-supply/group?bucket=1m&endTsSec=1735689600&end_ts_sec=1735689600&groupId=tether-group&group_id=tether-group&range=1d&startTsSec=1735689600&start_ts_sec=1735689600' \ --header 'Accept: */*' \ --header 'X-API-KEY-ID: YOUR_API_KEY_ID' \ --header 'X-API-TIMESTAMP: YOUR_API_TIMESTAMP' \ --header 'X-API-SIGNATURE: YOUR_API_SIGNATURE'
Responses
{
"bucket": "1m",
"endTsSec": 1735689600,
"groupId": "tether-group",
"points": 1,
"range": "1d",
"series": [
{
"totalSupply": [
"0.0000001"
],
"zippedAssetId": 100
}
],
"startTsSec": 1735689600
}Optional bucket duration. Valid buckets depend on range and must keep chart density useful.
Optional inclusive end timestamp in seconds since Unix epoch.
Optional inclusive end timestamp in seconds since Unix epoch.
Zipped asset group identifier.
Zipped asset group identifier.
History window. Defaults to 1d.
Optional inclusive start timestamp in seconds since Unix epoch.
Optional inclusive start timestamp in seconds since Unix epoch.
Resolved bucket duration.
1mLast bucket timestamp in seconds since Unix epoch.
1735689600Zipped asset group identifier.
tether-groupNumber of buckets represented by each value column.
1Resolved history window.
1dTotal zToken supply per bucket scaled by the unified asset's AssetConfig.quantity_scale from SpotConfig for this zipped asset. Decode: total_supply_q / 10^quantity_scale.
["0.0000001"]Zipped asset route identifier.
100First bucket timestamp in seconds since Unix epoch.
1735689600| Key | Status | Error | When |
|---|---|---|---|
| unauthenticated | 401 | Unauthenticated | Authentication required. |
| permission-denied | 403 | Permission Denied | Permission denied. |
| invalid-argument | 400 | Invalid Argument | Invalid argument. |
| not-found | 404 | Not Found | Not found. |
| unavailable | 503 | Unavailable | Service unavailable. |